> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a particular registry details

> Update a particular registry details. Description and credential are the only editable field of a registry.

## OpenAPI

````json PATCH /v1/registry/{registry-id}
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/registry/{registry-id}": {
      "patch": {
        "tags": [
          "Registry"
        ],
        "summary": "Update a particular registry details",
        "description": "Update a particular registry details. Description and credential are the only editable field of a registry.",
        "operationId": "updateRegistry",
        "parameters": [
          {
            "$ref": "#/parameters/RegistryId"
          },
          {
            "$ref": "#/parameters/UpdateRegistryRequest"
          }
        ],
        "x-auth-resource": "Writer,Manager,ActiveAccount",
        "responses": {
          "200": {
            "description": "Registry information.",
            "schema": {
              "$ref": "#/definitions/Registry"
            }
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

